@charset "utf-8";

html, body {
	margin: 0;
	padding: 0;
	background: #000000;
	font-family: sans-serif;
	color: #FFFFFF;
}

.playarea {
	max-height: 800px;
	position: relative;
        
}

.wall {
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	grid-template-rows: repeat(4, 1fr);
	gap: 10px 20px;
	padding: 10px;
}
.wall.player {
	
	width: 64%;
	transition: width 1s ease;

}
.wall.editor {
	grid-template-columns: repeat(4, 1fr) 2fr;
}
.wall.links {
	grid-template-columns: 1fr;
}
@media screen and (orientation:landscape) {
	.wall.player.won {
		width: 50%;
	}
	.wall.links {
		
		width: 40%;
		position: absolute;
		right: 0;
		top: 0;
	}
}

.wall > div {
	position: relative;
}
.wall.player .brick,
.wall.links .link {
	height: 90%;

	display: flex;
	flex-flow: column;
	justify-content: center;
	align-items: center;
	text-align: center;
}
.wall.player .brick {
	position: relative;
	top: 0;
	left: 0;
	transition: top 1s ease, left 1s ease;
}

.brick {
	border-radius: 5px;

	color: #000000;
	background: #FFCC99;
}

.brick.group0 {
	color: #FFFFFF;
	background: #FF9900;
}
.brick.group1 {
	color: #FFFFFF;
	background: #FF3300;
}
.brick.group2 {
	color: #FFFFFF;
	background: #FF3399;
}
.brick.group3 {
	color: #FFFFFF;
	background: #993399;
}


.link.group0 {
	border: 2px solid #FF9900;
}
.link.group1 {
	border: 2px solid #FF3300;
}
.link.group2 {
	border: 2px solid #FF3399;
}
.link.group3 {
	border: 2px solid #993399;
}

.link .hidden {
	font-style: italic;
}

.wall.editor input {
	
	width:100%;
	padding:3px;
	background: transparent;
	border: none;
	outline: none;
	color:#FFFFFF;
}
input[type=button] {
	margin: 10px;
	padding: 5px;
	background: #FFFFFF;
	border-radius: 5px;
	outline: none;
}
textarea {
	margin: 10px;
	width: 800px;
	height: 100px;
	outline: none;
}